# typed: strict
class Domain::PostGroupJoin < ReduxApplicationRecord
  extend T::Helpers
  include AttrJsonRecordAliases
  self.table_name = "domain_post_group_joins"
  self.primary_key = %i[post_id group_id]
  abstract!

  belongs_to :post, class_name: "::Domain::Post"
  belongs_to :group, class_name: "::Domain::PostGroup"
end

# eager load all subclasses
Dir[Rails.root.join("app/models/domain/post_group_join/**/*.rb")].each do |file|
  require_dependency file
end
